diff --git a/web/pgadmin/feature_tests/pg_utilities_backup_restore_test.py b/web/pgadmin/feature_tests/pg_utilities_backup_restore_test.py
index 5ae86734c..22c4a99df 100644
--- a/web/pgadmin/feature_tests/pg_utilities_backup_restore_test.py
+++ b/web/pgadmin/feature_tests/pg_utilities_backup_restore_test.py
@@ -17,6 +17,7 @@ from regression.feature_utils.base_feature_test import BaseFeatureTest
 from regression.python_test_utils import test_utils
 from regression.python_test_utils import test_gui_helper
 from regression.feature_utils.locators import NavMenuLocators
+from regression.feature_utils.tree_area_locators import TreeAreaLocators
 
 
 class PGUtilitiesBackupFeatureTest(BaseFeatureTest):
@@ -55,7 +56,10 @@ class PGUtilitiesBackupFeatureTest(BaseFeatureTest):
             self.server['sslmode']
         )
         test_utils.drop_database(connection, self.database_name)
-        test_utils.create_database(self.server, self.database_name)
+        db_id = test_utils.create_database(self.server, self.database_name)
+        if not db_id:
+            self.assertTrue(False, "Database {} is not "
+                                   "created".format(self.database_name))
         test_gui_helper.close_bgprocess_popup(self)
         self.page.add_server(self.server)
 
diff --git a/web/pgadmin/feature_tests/view_data_dml_queries.py b/web/pgadmin/feature_tests/view_data_dml_queries.py
index 381be22dc..62aa09858 100644
--- a/web/pgadmin/feature_tests/view_data_dml_queries.py
+++ b/web/pgadmin/feature_tests/view_data_dml_queries.py
@@ -338,9 +338,7 @@ CREATE TABLE public.nonintpkey
         self.assertEquals(text, messages_ele.text)
 
     def _verify_row_data(self, is_new_row, config_check_data):
-        self.page.find_by_css_selector(
-            QueryToolLocators.btn_execute_query_css).click()
-
+        self.page.click_execute_query_button()
         # First row if row height = 0, second row if its 25
         row_height = 0 if is_new_row else 25
 
diff --git a/web/regression/feature_utils/pgadmin_page.py b/web/regression/feature_utils/pgadmin_page.py
index a754a3e25..8bec1a74b 100644
--- a/web/regression/feature_utils/pgadmin_page.py
+++ b/web/regression/feature_utils/pgadmin_page.py
@@ -171,10 +171,7 @@ class PgadminPage:
 
     def execute_query(self, query):
         self.fill_codemirror_area_with(query)
-        execute_button = self.find_by_css_selector(
-            QueryToolLocators.btn_execute_query_css)
-        execute_button.click()
-        self.wait_for_query_tool_loading_indicator_to_disappear()
+        self.click_execute_query_button()
 
     def click_execute_query_button(self):
         retry = 5
